Rysunek Roboczy: Skaluj

From FreeCAD Documentation
This page is a translated version of the page Draft Scale and the translation is 93% complete.
Outdated translations are marked like this.

Rysunek Roboczy: Skaluj

Lokalizacja w menu
Modyfikacja → Skaluj
Środowisko pracy
Rysunek Roboczy, Architektura
Domyślny skrót
S C
Wprowadzono w wersji
-
Zobacz także
Podświetl element podrzędny, Klonuj

Opis

Polecenie Skaluj - skaluje lub kopiuje wybrane obiekty wokół punktu bazowego. W trybie elementu podrzędnego polecenie zmienia skalę wybranych krawędzi, linii i polilinii.

Narzędzie Przesuń może być używane na obiektach 2D utworzonych za pomocą środowisk pracy Rysunek Roboczy lub Szkicownik, ale może być również używane dla wielu typów obiektów 3D, takich jak te utworzone za pomocą środowisk pracy Część, Projekt Części lub Architektura.

Skalowanie obiektu przy użyciu punktu środkowego.

Użycie

Zobacz także strony: Rysunek Roboczy: Przyciąganie i Rysunek Roboczy: Wiązania.

  1. Opcjonalnie wybierz jeden lub więcej obiektów, albo jeden lub więcej elementów podrzędnych linii lub polilinii.
  2. Istnieje kilka sposobów na wywołanie polecenia:
    • Naciśnij przycisk Skaluj.
    • Wybierz z menu opcję Modyfikacja → Skala.
    • Użyj skrótu klawiaturowego: S, a następnie C.
  3. Jeśli nie wybrałeś jeszcze obiektu: wybierz obiekt w oknie widoku 3D.
  4. Otworzy się panel zadań Skala. Zobacz Opcje, aby uzyskać więcej informacji.
  5. Jeśli zostały wybrane elementy podrzędne: zaznacz pole wyboru Modyfikuj elementy podrzędne, aby włączyć tryb elementów podrzędnych.
  6. Wybierz punkt bazowy w widoku 3D, lub wpisz współrzędne i naciśnij przycisk Wprowadź punkt.
  7. Wprowadź współczynniki skali X, Y i Z.
  8. Naciśnij przycisk Enter lub przycisk OK, aby zakończyć działanie polecenia.

Opcje

Pierwszy panel zadań

Skróty klawiaturowe jedno znakowe dostępne w panelu zadań można zmienić. Zobacz stronę Preferencji. Skróty wymienione tutaj są skrótami domyślnymi.

  • Aby ręcznie wprowadzić współrzędne punktu bazowego, wprowadź składowe X, Y i Z, a następnie naciśnij klawisz Enter po każdej z nich. Możesz też nacisnąć przycisk Wprowadź punkt, gdy masz już żądane wartości. Wskazane jest, aby przed wprowadzeniem współrzędnych wysunąć kursor myszki poza okno widoku 3D.
  • Naciśnij klawisz G lub kliknij pole wyboru Globalnie, aby przełączyć tryb globalny. Jeśli tryb globalny jest włączony, współrzędne są odniesione do globalnego układu współrzędnych, w przeciwnym razie są one odniesione do układu współrzędnych płaszczyzny roboczej. dostępne w wersji 0.20
  • Naciśnij klawisz S, aby włączyć lub wyłączyć przyciąganie.
  • Naciśnij przycisk Zamknij, aby przerwać wykonywanie polecenia.

Drugi panel zadań

  • Wprowadź współrzędne X, Y i Z, aby zdefiniować przeskalowanie. Wartości te muszą być większe od zera.
  • Zaznacz pole wyboru Jednolite skalowanie, aby zablokować współczynniki X, Y i Z do tej samej wartości.
  • Jeśli pole wyboru Orientacja płaszczyzny roboczej jest zaznaczone, współczynniki skali są odniesione do układu współrzędnych płaszczyzny roboczej, w przeciwnym razie są one odniesione do globalnego układu współrzędnych.
  • Jeśli pole wyboru Kopia jest zaznaczone, tworzona jest skalowana kopia oryginalnego obiektu. Działa to tylko dla obiektów typu Rysunek Roboczy, które posiadają właściwość DANEPunkty, takich jak polininie.
  • Jeśli pole wyboru Modyfikuj elementy podrzędne jest zaznaczone, polecenie użyje wybranych elementów podrzędnych zamiast całych obiektów. Elementy podrzędne muszą należeć do linii lub polininii.
  • Jeśli pole wyboru Utwórz klona jest zaznaczone, tworzone są skalowane klony oryginalnych obiektów. Działa to dla wszystkich typów obiektów. Dla obiektów, które nie są typu Rysunek Roboczy, lub dla obiektów Rysunku Roboczego, które nie mają właściwości DANEPunkty, opcja Musi być wybrana.
  • Naciśnij przycisk Wybierz z / do punktów i wybierz dwa dodatkowe punkty w oknie widoku 3D, aby obliczyć współczynniki skali. Spowoduje to automatyczne zaznaczenie pola wyboru Jednolite skalowanie. Współczynniki skali X, Y i Z będą zatem równe i zostaną ustawione jako odległość między punktem bazowym a punktem od, podzielona przez odległość między punktem bazowym a punktem do.
  • Naciśnij przycisk Esc lub przycisk Anuluj, aby przerwać wykonywanie polecenia.

Uwagi

Ustawienia

Zobacz także strony: Edytor ustawień oraz Rysunek Roboczy: Ustawienia.

  • Aby ponownie wybrać obiekty bazowe po skopiowaniu obiektów: Edycja → Preferencje → Rysunek Roboczy → Ustawienia ogólne → Opcje narzędzi do kreślenia → Zaznacz obiekty bazowe po skopiowaniu.

Tworzenie skryptów

Zobacz również stronę: Dokumentacja API generowana automatycznie oraz Podstawy tworzenia skryptów FreeCAD.

Do skalowania obiektów służy metoda scale środowiska Rysunek Roboczy.

scaled_list = scale(objectslist, scale=Vector(1,1,1), center=Vector(0,0,0), copy=False)
  • objectslist zawiera obiekty, które mają zostać obrócone. Może to być pojedynczy obiekt lub lista obiektów.
  • skala to wektor określający współczynniki skalowania X, Y i Z.
  • środek to punkt środkowy operacji skalowania.
  • Jeśli kopia ma wartość Prawda, to zamiast skalowania oryginalnych obiektów tworzone są ich kopie.
  • Lista lista_skalowana jest zwracana z oryginalnymi przeskalowanymi obiektami lub z nowymi kopiami. Jest to albo pojedynczy obiekt, albo lista obiektów, w zależności od właściwości lista obiektów.

Przykład:

import FreeCAD as App
import Draft

doc = App.newDocument()

pts = [App.Vector(0, 0, 0), App.Vector(500, 500, 0), App.Vector(600, 0, 0)]
wire1 = Draft.make_wire(pts, closed=True)
doc.recompute()

scale1 = App.Vector(2.3, 0.75, 0)
wire2 = Draft.scale(wire1, scale1, copy=True)
doc.recompute()

scale2 = App.Vector(-2, -1.5, 0)
wires = Draft.scale([wire1, wire2], scale2, copy=True)
doc.recompute()